Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ee.ut.ga.business
Class GeneticAlgorithm

    java.lang.Object
      ee.ut.ga.business.GeneticAlgorithm

public class GeneticAlgorithm
extends java.lang.Object

Field Summary
`private static int` | `BEST_TO_LEAVE`
`private java.util.Map` | `data`
`private static java.lang.String` | `FITNESS_FUNCTION`
`private static int` | `GOOD_ALL`
`private static java.lang.String` | `INITIAL_PATH`
`static org.apache.log4j.Logger` | `log`
`private static java.lang.String` | `LOGGING_PATH`
`private java.util.List` | `population`
`private static int` | `POPULATION_SIZE`
`private java.util.Map` | `priors`
`private static int` | `PWM_MIN_LENGTH`

Constructor Summary
`GeneticAlgorithm(java.lang.String propPath)`

Method Summary
`private void` | `evaluate()` First step of GA: evaluation - calculate fitness value for each PWM in population.
`void` | `generation()` GA generation change.
`private java.lang.String` | `getFormattedDate()`
`private boolean` | `isUniquePWM(PWM childPWM, java.util.List children)`
`private void` | `logPopulation()`
`private void` | `readProperties(java.lang.String propPath)`
`private void` | `reproduct()` Third step of GA: reproduction - full population of parents by children.
`private void` | `select()` Second step of GA: selection - get the best PWMs.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    public static org.apache.log4j.Logger log

### data

    private java.util.Map data

### priors

    private java.util.Map priors

### population

    private java.util.List population

### GOOD_ALL

    private static int GOOD_ALL

### BEST_TO_LEAVE

    private static int BEST_TO_LEAVE

### POPULATION_SIZE

    private static int POPULATION_SIZE

### PWM_MIN_LENGTH

    private static int PWM_MIN_LENGTH

### FITNESS_FUNCTION

    private static java.lang.String FITNESS_FUNCTION

### INITIAL_PATH

    private static java.lang.String INITIAL_PATH

### LOGGING_PATH

    private static java.lang.String LOGGING_PATH

Constructor Detail

### GeneticAlgorithm

    public GeneticAlgorithm(java.lang.String propPath)
                     throws java.lang.Exception

Method Detail

### readProperties

    private void readProperties(java.lang.String propPath)
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### generation

    public void generation()
                    throws java.lang.Exception

  GA generation change.

  Throws:
    `java.lang.Exception`

### evaluate

    private void evaluate()

  First step of GA: evaluation - calculate fitness value for each PWM in population.

### select

    private void select()

  Second step of GA: selection - get the best PWMs.

### reproduct

    private void reproduct()
                    throws java.lang.Exception

  Third step of GA: reproduction - full population of parents by children.

  Throws:
    `java.lang.Exception`

### isUniquePWM

    private boolean isUniquePWM(PWM childPWM,
                                java.util.List children)

### logPopulation

    private void logPopulation()

### getFormattedDate

    private java.lang.String getFormattedDate()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD